Subject: bug#24878: Most people can't read the attachments when I attach multiple messages to a message

From: Dave Abrahams <[email-masked]>
Date: Thu, 26 Jan 2017 17:57:33 -0800

on Thu Jan 26 2017, Lars Ingebrigtsen <larsi-AT-gnus.org> wrote:

> Dave Abrahams <[email-masked]> writes:
>
>> When I select multiple messages and forward them to someone, I
>> invariably get a response from them that they didn't receive anything.
>> Presumably this means either Gnus is doing something incorrect, or (more
>> likely) approximately no other MUAs can read the correct thing Gnus is
>> doing.  I've attached an example of a raw message I sent someone using
>> Gnus, containing other messages.
>
> I kinda doubt that Gnus is doing something wrong (JUST BECAUSE), but
> there are some very nit-picky mail readers out there.  For instance, one
> guy I know is unable to read attachments unless I include them as the
> final element in the mail.
>
> So my guess is that there's isn't really anything to be done here, other
> than despair over other mail reader programmers...
>
> Or Message could say (if you include attachments that are known not to
> be vanilla) "it's somewhat likely that some mail readers can't read
> this; send anyway?", but I'm not sure that's really helpful...

I would suggest that we provide an option that doesn't attempt to nest
the attached messages in a "digest" MIME part.  These other MUAs can all
handle email message attachments, but Gnus is making a very fancy
package of them that is (roughly speaking) only compatible with Gnus
itself.  I even think the more widely-readable attachment format should
be the default.

-- 
-Dave